Package ru.bitel.bgbilling.kernel.contract.object.common.bean

# Class ParamAddressValue

java.lang.Object
ru.bitel.bgbilling.kernel.contract.object.common.bean.ParamValue
ru.bitel.bgbilling.kernel.contract.object.common.bean.ParamAddressValue

All Implemented Interfaces:
  `Serializable`

public class ParamAddressValue extends ParamValue
Значение адресного параметра объекта.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.contract.object.common.bean.ParamValue

  `ParamValue.Builder<T extends ParamValue>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamAddressValue()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getComment()`
  `String`
  `getFlat()`
  `int`
  `getFloor()`
  `String`
  `getFormatKey()`
  `int`
  `getHouseId()`
  `int`
  `getPod()`
  `String`
  `getRoom()`
  `void`
  `setAddress(String address)`
  `void`
  `setComment(String comment)`
  `void`
  `setFlat(String flat)`
  `void`
  `setFloor(int floor)`
  `void`
  `setFormatKey(String formatKey)`
  `void`
  `setHouseId(int houseId)`
  `void`
  `setPod(int pod)`
  `void`
  `setRoom(String room)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.object.common.bean.ParamValue

  `getObjectId, getParamId, setObjectId, setParamId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamAddressValue

    public ParamAddressValue()

- ## Method Details

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress(String address)

  - ### getFlat

    public String getFlat()

  - ### setFlat

    public void setFlat(String flat)

  - ### getFloor

    public int getFloor()

  - ### setFloor

    public void setFloor(int floor)

  - ### getHouseId

    public int getHouseId()

  - ### setHouseId

    public void setHouseId(int houseId)

  - ### getPod

    public int getPod()

  - ### setPod

    public void setPod(int pod)

  - ### getRoom

    public String getRoom()

  - ### setRoom

    public void setRoom(String room)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getFormatKey

    public String getFormatKey()

  - ### setFormatKey

    public void setFormatKey(String formatKey)